GHSA-m46p-rp8x-x8c4

Suggest an improvement
Source
https://github.com/advisories/GHSA-m46p-rp8x-x8c4
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-m46p-rp8x-x8c4/GHSA-m46p-rp8x-x8c4.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-m46p-rp8x-x8c4
Aliases
Published
2022-05-13T01:25:16Z
Modified
2024-02-16T08:22:37.132141Z
Severity
  • 6.5 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N CVSS Calculator
Summary
CSRF vulnerability in Jenkins OpenShift Deployer Plugin
Details

A missing permission check in Jenkins OpenShift Deployer Plugin in the DeployApplication.DeployApplicationDescriptor#doCheckLogin form validation method allows attackers with Overall/Read permission to initiate a connection to an attacker-specified server.

References

Affected packages

Maven / org.jenkins-ci.plugins:openshift-deployer

Package

Name
org.jenkins-ci.plugins:openshift-deployer
View open source insights on deps.dev
Purl
pkg:maven/org.jenkins-ci.plugins/openshift-deployer

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
1.2.0

Affected versions

1.*

1.0.1
1.0.2
1.0.3
1.0.4
1.1.0
1.1.1
1.2.0